POST
/api/v1/e2e_dns/forward/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/e2e_dns/forward/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "domain_name": "bunty.com", "ip_addr": "1.1.1.1"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/e2e_dns/forward/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "domain_name": "bunty.com", "ip_addr": "1.1.1.1", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/e2e_dns/forward/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "domain_name": "bunty.com", "ip_addr": "1.1.1.1" }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
domain_name
required
string
Example
bunty.comip_addr
required
string format: ipv4
Example
1.1.1.1Responses
Section titled “Responses”Successful response indicating domain creation
Media typeapplication/json
object
code
integer
data
object
status
boolean
message
string
id
integer
label_id
integer
resource_type
string
errors
object
key
additional properties
any
message
string
Example
{ "code": 200, "data": { "status": true, "message": "The domain was created successfully!", "id": 10279, "label_id": null, "resource_type": null }, "errors": {}, "message": "Success"}